Contribs: add gpg-error
[vlc.git] / contrib / src / gpg-error / rules.mak
1 # GPGERROR
2 GPGERROR_VERSION := 1.7
3 GPGERROR_URL := ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-$(GPGERROR_VERSION).tar.bz2
4
5 PKGS += gpg-error
6
7 $(TARBALLS)/libgpg-error-$(GPGERROR_VERSION).tar.bz2:
8         $(call download,$(GPGERROR_URL))
9
10 .sum-gpg-error: libgpg-error-$(GPGERROR_VERSION).tar.bz2
11
12 libgpg-error: libgpg-error-$(GPGERROR_VERSION).tar.bz2 .sum-gpg-error
13         $(UNPACK)
14         $(MOVE)
15
16 .gpg-error: libgpg-error
17         #$(RECONF)
18         cd $< && $(HOSTVARS) ./configure $(HOSTCONF) --disable-nls --disable-shared --disable-languages
19         cd $< && $(MAKE) install
20         touch $@